This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 535763 - (RHQ-2425) Port argument for CLI start-up script ignored unless host argument also specified
Port argument for CLI start-up script ignored unless host argument also speci...
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: CLI (Show other bugs)
unspecified
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On: RHQ-2298
Blocks: rhq_triage
  Show dependency treegraph
 
Reported: 2009-09-15 11:02 EDT by John Sanda
Modified: 2014-05-09 11:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-09 11:50:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Sanda 2009-09-15 11:02:00 EDT
You can specify the port and host with the start up script which is useful for connecting to different hosts and for running over SSL. Consider the following,

$ rhq-cli.sh -u rhqadmin -p rhqadmin -s localhost --port=7443 

The above will log me into the server running on localhost and will communications will be over SSL. If however, I leave out the host (-s) option, the port is ignored and the default (7080) is used. This needs to be modified so that the port is not ignored even when the host is not specified.
Comment 1 John Sanda 2009-09-15 11:02:42 EDT
Discovered this as a result of testing RHQ-2298
Comment 2 Red Hat Bugzilla 2009-11-10 16:04:13 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2425
Comment 3 wes hayutin 2010-02-16 11:56:45 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 4 wes hayutin 2010-02-16 12:02:02 EST
making sure we're not missing any bugs in rhq_triage
Comment 5 Corey Welton 2010-10-06 23:44:13 EDT
Triaged 5-Oct
Comment 6 Jay Shaughnessy 2014-05-09 11:50:17 EDT
This may have been fixed, if not I think this has expired.

Note You need to log in before you can comment on or make changes to this bug.